{
  lib,
  pkgs,
  namespace,
  ...
}:
{
  imports = [
    ./boot.nix
    ./jovian.nix
  ];

  ${namespace} = {
    hardware.disko.enable = true;
    impermanence.enable = true;
    bootloader.lanzaboote.enable = true;
    desktop.cosmic.enable = true;
    user = {
      name = "matt";
      hashedPassword = "$y$j9T$EkPXmsmIMFFZ.WRrBYCxS1$P0kwo6e4.WM5DsqUcEqWC3MrZp5KfCjxffraMFZWu06";
    };
    network = {
      hostName = "allyx";
    };
  };

  environment = {
    systemPackages = with pkgs; [
      # unigine-superposition
    ];
    variables = {
      STEAM_FORCE_DESKTOPUI_SCALING = "1.0";
      GDK_SCALE = "1";
      LSFG_DLL_PATH = "/home/deck/.steam/steam/steamapps/common/Lossless Scaling/Lossless.dll";
    };
  };

  services.displayManager.gdm.enable = lib.mkForce false;
  services.displayManager.cosmic-greeter.enable = lib.mkForce false;
}
